from ..config import *

WINDOW_SIZE = "window-size"
WINDOW_POS = "window-pos"
WINDOW_TITLE = "window-title"
WINDOW_BG_COLOUR = "window-bg-colour"

window_config = {
    WINDOW_SIZE: (1080, 720),
    WINDOW_POS: (-1, -1),
    WINDOW_TITLE: "========== Default Title ==========",
    WINDOW_BG_COLOUR: (10,40,80)
}

class Window:
    def __init__(self,game):
        self.game = game

        self.win = pg.display.set_mode(window_config[WINDOW_SIZE])
        pg.display.set_caption(window_config[WINDOW_TITLE])

        screen_w, screen_h = pg.display.get_desktop_sizes()[0]
        win_w, win_h = self.win.get_size()

        # Calculate centered position
        center_x = (screen_w - win_w) // 2
        center_y = (screen_h - win_h) // 2

        pos = [ window_config[WINDOW_POS][0], window_config[WINDOW_POS][1]]

        if window_config[WINDOW_POS][0] == -1:
            pos[0] = center_x

        if window_config[WINDOW_POS][1] == -1:
            pos[1] = center_y


        pg.display.set_window_position(pos)

    def event_handler(self,event):
        if event.type == pg.QUIT:
            self.game.close()

    def render(self):
        self.win.fill(window_config[WINDOW_BG_COLOUR])

    def update(self):
        pass

    def close(self):
        pass

